Application: gvSIG desktop - gvSIG bugs #5153
Cuando ainhado varias capas a la vez me salta error de que no carga alguna/s de ellas
11/19/2019 09:25 AM - Mario Carrera

Status: Closed % Done: 0%
Priority: Immediate Spent time: 0.00 hour
Assignee: Oscar Martinez

Category: Application

Target version: 2.5.1-3014

Severity: Minor Add-on version:

gvSIG version: 250 Add-on build:

gvSIG build: 2930 Add-on resolve version:
Operative System: Add-on resolve build:
Keywords: Proyecto:

Has patch: Hito:

Add-on name: Unknown

Description

Si selecciono varias capas a la vez para cargarlas en una vista, me salta error de que alguna/s no puede/n ser cargadas, pero si que
se cargan. Me ha ocurrido siempre que he cargado mas de una capa.

Adjunto gvSIG.log, donde si que se ve un error.

Associated revisions

Revision 2207 - 03/31/2020 07:36 PM - Oscar Martinez

refs #5153 Corregido bug a la hora de regenerar el translator

Revision 44865 - 04/02/2020 09:54 PM - Oscar Martinez

refs #5153 Comprobacion de null como value

Revision 44866 - 04/05/2020 07:37 PM - Oscar Martinez

refs #5153 Asegurar ejecucion del listener

History

#1-11/19/2019 12:18 PM - Joaquin del Cerro Murciano
- Target version set to 2.5.1-3044

#2 - 11/19/2019 12:28 PM - Joaquin del Cerro Murciano

- Assignee set to Oscar Martinez

Por lo que veo no es un problema en la carga de las capas.
Es un problema en el refresco del TabbedTOC, cuando esta intentando actualizar la pestana de "SourceOrder".
Las capas se cargan bien, pero esa pestafna del TOC puede quedar desactualizada.

Sobre la solucion...
Habria que atrapar los errores en "addons.TabbedToC.tocutils$UpdateToCListener$126.layerAdded" y como minimo mostrar un error especifico que
informe al usuario de donde esta produciendose el error. Y probablemente habria que ver de lanzar esas actualizacion en segundo plano para que no
interfieran con la carga de capas.

#3 - 03/26/2020 01:38 AM - Joaquin del Cerro Murciano

- Target version changed from 2.5.1-3044 to 2.5.1-3019-RC1 (rev. org.gvsig.desktop-2.0.278)

#4 - 03/26/2020 01:55 PM - Joaquin del Cerro Murciano
- Priority changed from High to Immediate

#5 - 04/02/2020 09:52 PM - Oscar Martinez

- Status changed from New to Fixed

Es posible que el script como decia joaquin haya que estudiar si se puede lanzar en segundo plano. Por ahora parece solucionado y ya no me

aparece ningun error al cargar las capas.

#6 - 04/05/2020 08:14 PM - Oscar Martinez

https://github.com/gvSIGAssociation/gvsig-desktop-scripting-TabbedToC/commit/360d92347acbec10f71cc2ae882fe840a73dc8a3
https://github.com/gvSIGAssociation/gvsig-desktop-scripting-TabbedToC/releases/tag/1.0.0-11

#7 - 04/07/2020 05:02 PM - Joaquin del Cerro Murciano
- Target version changed from 2.5.1-3019-RC1 (rev. org.gvsig.desktop-2.0.278) to 2.5.1-3014

#8 - 04/10/2020 12:33 PM - Alvaro Anguix
- Status changed from Fixed to Closed

Files

gvSIG.log 434 KB 11/19/2019 Mario Carrera
